#!/bin/sh


logger MailTags Sparkle Post Flight


if [ -f "$HOME/Library/LaunchAgents/ca.indev.MailTagsHelper.agent.plist" ]; then
    launchctl unload "$HOME/Library/LaunchAgents/ca.indev.MailTagsHelper.agent.plist"
fi

# copy the helperApp to the Application Support directory
logger MailTags Sparkle Killing MailTagsHelper

killall -9 MailTagsHelper


if [ -d "$HOME/Library/Application Support/Indev/MailTagsHelper.app" ]; then
    logger removing old  "$HOME/Library/Application Support/Indev/MailTagsHelper.app"
    rm -rf "$HOME/Library/Application Support/Indev/MailTagsHelper.app"
fi

cp -R "$HOME/Library/Mail/Bundles/MailTags.mailbundle/Contents/Resources/MailTagsHelper.app" "$HOME/Library/Application Support/Indev"


if [ -f "$HOME/Library/Application Scripts/com.apple.mail/IndevScripts/MailTagsSparkleLauncher" ]; then
    logger updating MailTagsSparkleLauncher
    rm "$HOME/Library/Application Scripts/com.apple.mail/IndevScripts/MailTagsSparkleLauncher";
fi

cp "$HOME/Library/Mail/Bundles/MailTags.mailbundle/Contents/Resources/MailTagsSparkleLauncher" "$HOME/Library/Application Scripts/com.apple.mail/IndevScripts"


if [ -f "$HOME/Library/Application Scripts/com.apple.mail/IndevScripts/MailTagsHelperLauncher" ]; then
    logger updating MailTagsHelperLauncher
    rm "$HOME/Library/Application Scripts/com.apple.mail/IndevScripts/MailTagsHelperLauncher";
fi

cp "$HOME/Library/Mail/Bundles/MailTags.mailbundle/Contents/Resources/MailTagsHelperLauncher" "$HOME/Library/Application Scripts/com.apple.mail/IndevScripts"


if [ -f "$HOME/Library/Application Scripts/com.apple.mail/IndevScripts/MailTagsRevealCalendarItem" ]; then
    logger updating Reveal Calendar Item
    rm "$HOME/Library/Application Scripts/com.apple.mail/IndevScripts/MailTagsRevealCalendarItem";
fi

cp "$HOME/Library/Mail/Bundles/MailTags.mailbundle/Contents/Resources/MailTagsRevealCalendarItem" "$HOME/Library/Application Scripts/com.apple.mail/IndevScripts"